
Redmine - Defect #18081

Create a new group - 500 Internal Server Error

2014-10-13 21:13 - Roger tjmg

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When i try to create a new group, the message 500 Internal Server Error appears.

Environment:

Redmine version 2.3.0.stable.11744

Ruby version 1.8.7 (x86_64-linux)

Rails version 3.2.13

Environment production

Database adapter MySQL

Redmine plugins:

redmine_loader 0.0.12

redmine_testlinklink 1.0.0

Started POST "/groups" for 10.0.1.33 at Wed Sep 17 10:53:26 -0300 2014

Processing by GroupsController#create as HTML

Parameters: {"group"=>{"name"=>"TEST"}, "authenticity_token"=>"cGCTAk8JBMs+ChiUrQIykrT4hpUa78bh554Ndw9qdYc=",

"utf8"=>"✓", "commit"=>"Criar"}

Current user: admin (id=1)

Completed 500 Internal Server Error in 29ms

ActiveRecord::RecordNotUnique (Mysql::Error: Duplicate entry '' for key 'uclogin': INSERT INTO `users` (`admin`, `auth_source_id`,

`created_on`, `firstname`, `hashed_password`, `identity_url`, `language`, `last_login_on`, `lastname`, `login`, `mail`,

`mail_notification`, `salt`, `status`, `type`, `updated_on`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)):

app/controllers/groups_controller.rb:52:in `create'

app/controllers/groups_controller.rb:51:in `create'

History

#1 - 2014-10-14 00:32 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Please try without plugins.

#2 - 2014-10-14 08:48 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#3 - 2014-10-14 15:07 - Roger tjmg

Tnx for the answer Jean-Philippe Lang

Server updated to 2.5.2

All plugins removed, server restarted.

The error still appears:

Started POST "/groups" for 10.0.1.33 at Tue Oct 14 10:06:26 -0300 2014

Processing by GroupsController#create as HTML

Parameters: {"utf8"=>"✓", "group"=>{"name"=>"test"}, "continue"=>"Criar e continuar",

"authenticity_token"=>"2hvbBEX+pY/DpaMVLVxhY5Vd25LcPcqA8hd9aqadb6A="}

Current user: admin (id=1)

Completed 500 Internal Server Error in 19.6ms

ActiveRecord::RecordNotUnique (Mysql::Error: Duplicate entry '' for key 'uclogin': INSERT INTO `users` (`admin`, `auth_source_id`, `created_on`,

2024-04-29 1/2



`firstname`, `hashed_password`, `identity_url`, `language`, `last_login_on`, `lastname`, `login`, `mail`, `mail_notification`, `must_change_passwd`,

`salt`, `status`, `type`, `updated_on`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)):

app/controllers/groups_controller.rb:52:in `create'

app/controllers/groups_controller.rb:51:in `create'

Environment:

Redmine version                2.5.2.stable

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               MySQL

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

no plugin installed

#4 - 2014-10-14 17:41 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution changed from Cant reproduce to Invalid

There's no unique index "uclogin" in Redmine core. Please revert your changes made to the database.
